com.fasterxml.jackson.dataformat.avro.deser

## Class AvroReaderFactory

- java.lang.Object
- - com.fasterxml.jackson.dataformat.avro.deser.AvroReaderFactory

-     public class AvroReaderFactory
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected TreeMap<String,AvroStructureReader>` | `_knownReaders` To resolve cyclic types, need to keep track of resolved named types.
    `protected static AvroScalarReader` | `DECODER_BOOLEAN`
    `protected static AvroScalarReader` | `DECODER_BYTES`
    `protected static AvroScalarReader` | `DECODER_DOUBLE`
    `protected static AvroScalarReader` | `DECODER_FLOAT`
    `protected static AvroScalarReader` | `DECODER_INT`
    `protected static AvroScalarReader` | `DECODER_LONG`
    `protected static AvroScalarReader` | `DECODER_NULL`
    `protected static AvroScalarReader` | `DECODER_STRING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AvroReaderFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AvroScalarReader` | `createDecoder(org.apache.avro.Schema type)`
    `AvroStructureReader` | `createReader(org.apache.avro.Schema schema)` Method for creating a reader instance for specified type.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DECODER_BOOLEAN

          protected static final AvroScalarReader DECODER_BOOLEAN

    - #### DECODER_BYTES

          protected static final AvroScalarReader DECODER_BYTES

    - #### DECODER_DOUBLE

          protected static final AvroScalarReader DECODER_DOUBLE

    - #### DECODER_FLOAT

          protected static final AvroScalarReader DECODER_FLOAT

    - #### DECODER_INT

          protected static final AvroScalarReader DECODER_INT

    - #### DECODER_LONG

          protected static final AvroScalarReader DECODER_LONG

    - #### DECODER_NULL

          protected static final AvroScalarReader DECODER_NULL

    - #### DECODER_STRING

          protected static final AvroScalarReader DECODER_STRING

    - #### _knownReaders

          protected final TreeMap<String,AvroStructureReader> _knownReaders

      To resolve cyclic types, need to keep track of resolved named types.

  - ### Constructor Detail

    - #### AvroReaderFactory

          public AvroReaderFactory()

  - ### Method Detail

    - #### createReader

          public AvroStructureReader createReader(org.apache.avro.Schema schema)

      Method for creating a reader instance for specified type.

    - #### createDecoder

          public AvroScalarReader createDecoder(org.apache.avro.Schema type)

Copyright © 2016 FasterXML. All rights reserved.